import { Express } from 'express';
import { SettingsJson } from '@ewizardjs/settings';
export default class StaticServer {
    _staticDir: string;
    _expressServer: Express;
    _listener: any;
    port: number;
    _settings?: SettingsJson;
    static create(staticDir: string, settings?: SettingsJson): StaticServer;
    constructor(staticDir: string, settings?: SettingsJson);
    initialize(): Promise<number>;
    destroy(): void;
}
